Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.cs.api
Interface CompletedPublishRecord

All Superinterfaces:
  java.io.Serializable

    public interface CompletedPublishRecord

extends java.io.Serializable

This `CompletedPublishRecord` represents a completed publish information of a publish type.
A CompletedPublishRecord may contain one or more formats (got via `getResults()`) with each element (`CompletedResultRecord`) representing one format result.

See Also:
  `CompletedResultRecord`

Method Summary
`java.lang.String` | `getReportDisplayName()` Returns the report display name.
`java.util.Vector` | `getResults()` Returns the collection of `CompletedResultRecord`.``
`java.lang.String` | `getType()` Returns a type of publish record, which can be APIConst.TAG_TO_VERSION, APIConst.TAG_TO_DISK, APIConst.TAG_TO_MAIL, APIConst.TAG_TO_FAX, APIConst.TAG_TO_PRINTER, or APIConst.TAG_TO_FTP.

Method Detail

### getType

    java.lang.String getType()

  Returns a type of publish record, which can be APIConst.TAG_TO_VERSION, APIConst.TAG_TO_DISK, APIConst.TAG_TO_MAIL, APIConst.TAG_TO_FAX, APIConst.TAG_TO_PRINTER, or APIConst.TAG_TO_FTP.

  Returns:
    string type of the publish record, which can be APIConst.TAG_TO_VERSION, APIConst.TAG_TO_DISK, APIConst.TAG_TO_MAIL, APIConst.TAG_TO_FAX, APIConst.TAG_TO_PRINTER, or APIConst.TAG_TO_FTP.

### getResults

    java.util.Vector getResults()

  Returns the collection of `CompletedResultRecord`. A `CompletedResultRecord`represents one format result.

  ````
  Returns:
    the collection of `CompletedResultRecord`.``
  See Also:
    `CompletedResultRecord`

### getReportDisplayName

    java.lang.String getReportDisplayName()

  Returns the report display name.

  Returns:
    the report display name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD